shishi_kdcreq_get_padata(3)

NAME
shishi_kdcreq_get_padata - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_get_padata(Shishi * handle, Shishi_asn1 kdcreq, Shishi_padata_type padatatype, char ** out, size_t * outlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ to get PA-DATA from.

Shishi_padata_type padatatype
    type of PA-DATA, see Shishi_padata_type.

char ** out
    output array with newly allocated PA-DATA value.

size_t * outlen
    size of output array with PA-DATA value.

DESCRIPTION
Get pre authentication data (PA-DATA) from KDC-REQ. Pre authentication data is used to pass various information to KDC, such as in case of a SHISHI_PA_TGS_REQ padatatype the AP-REQ that authenticates the user to get the ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.